sqli-lab - 1

vul30up

准备

PHP5可以使用 MySQL extension,mysqli和PDO_MYSQL。php7移除了mysql extension,只剩下后面两种选择。sqli-lab用的是mysql extension,所以这里环境需要用php5的版本。(phpstudy中安装php5版本)
mysql mysqli pdo区别参考:https://www.cnblogs.com/pinec...

安装

  • 解压sqli-lab程序到phpstudy的www目录下
  • 配置sqli-labs-mastersql-connectionsdb-creds.inc
<?php

//give your mysql connection username n password
$dbuser ='root';
$dbpass ='root';
$dbname ="security";
$host = 'localhost';
$dbname1 = "challenges";
阅读 187
1 声望
0 粉丝
0 条评论
1 声望
0 粉丝
宣传栏